### Method

# Fwupd SecurityAttr get_metadata

#### Declaration [src]

    const gchar*
    fwupd_security_attr_get_metadata (
      FwupdSecurityAttr* self,
      const gchar* key
    )

#### Description [src]

Gets private metadata from the attribute which may be used in the name.

Available since: | 1.5.0

#### Parameters

`key` | `const gchar*`
| Metadata key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| The metadata value, or `NULL` if unfound.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.